<?php
/*
Plugin Name: Ze's AlbanEye plugin for WordPress
Plugin URI: https://nbox.org/ze/devs/wordpress-plugin-ze-alban-eye
Description: JSEyes like popup to inform about french HADOPI bill.
Author: Yann 'Ze' Richard 
Version: 0.1
Author URI: https://nbox.org/ze/
*/
/*  Copyright 2009  Yann 'Ze' Richard <ze(arobase)nbox.org>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    http://www.gnu.org/licenses/agpl-3.0.txt
*/
define(WP_ALBANEYE_PATH, dirname(__FILE__) . '/../../..');
define(WP_ALBANEYE_VERSION, '0.1');
define(WP_ALBANEYE_TEST, FALSE);

require_once(WP_ALBANEYE_PATH.'/wp-includes/functions.php');
require_once(WP_ALBANEYE_PATH.'/wp-includes/plugin.php');
require_once(WP_ALBANEYE_PATH.'/wp-includes/capabilities.php');
require_once(WP_ALBANEYE_PATH.'/wp-includes/pluggable.php');

add_action('wp_head', 'albaneye_addHeaderCode');
add_action('wp_footer', 'albaneye_addBodyCode');

function albaneye_addBodyCode() {
   include(dirname(__FILE__).'/albaneye.php');
}

function albaneye_addHeaderCode() {
    echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/ze-alban-eye/albaneye.css" />' . "\n";
    $url     = WP_PLUGIN_URL . '/ze-alban-eye/images/';
    $pathImg = parse_url($url, PHP_URL_PATH);
    echo '<script type="text/javascript">/*<![CDATA[*/'."\n";
    echo 'var albanEyeImgBase = "'. $pathImg .'";'."\n";
    echo '/*]]>*/'."\n".'</script>'."\n";
    echo '<script type="text/javascript" src="'. get_bloginfo('wpurl') . '/wp-content/plugins/ze-alban-eye/albaneye.js' .'"> </script>'."\n";
}

?>
